# TrackToActuator Class Reference

[GameLogic Index] [GameLogic Hierarchy]

A TrackToActuator is a special kind of a general actuator More...

`#include <tracktoactuator.h>`

Inherits: Actuator

## Public Members

- TrackToActuator ()
- ~TrackToActuator ()
- PyObject* getObject ()
- PyObject* setObject (char* objectname)
- PyObject* getTime ()
- PyObject* setTime (int time)
- PyObject* getUse3D ()
- PyObject* setUse3D (int value)

## Detailed Description

A TrackToActuator is a special kind of a general actuator.

## PyObject* getObject()

Returns the object to track with the parent of this actuator.

## PyObject* setObject(char* objectname)

Set the object to track with the parent of this actuator.

## PyObject* getTime()

Return the time in frames with which the tracking motion is delayed.

## PyObject* setTime(int time)

Set the time in frames with which to delay the tracking motion.

## PyObject* getUse3D()

Returns 1 if the motion is allowed to extend in the z-direction.

## PyObject* setUse3D(int value)

Set to 1 to allow the tracking motion to extend in the z-direction, set to 0 to lock the tracking motion to the x-y plane.

- Author: Jan Walter
- Documentation generated by jan@nvidea on Thu Dec 21 14:04:43 CET 2000

K doc